# Uses of Class
net.shibboleth.shared.spring.context.FilesystemGenericApplicationContext

Packages that use FilesystemGenericApplicationContext
Package
Description
net.shibboleth.shared.cli
Command line functionality.
net.shibboleth.shared.spring.util
Supporting classes for using Spring.

## Uses of FilesystemGenericApplicationContext in net.shibboleth.shared.cli

Fields in net.shibboleth.shared.cli with type parameters of type FilesystemGenericApplicationContext
Modifier and Type
Field
Description
`private ApplicationContextInitializer<? super FilesystemGenericApplicationContext>`
AbstractCommandLine.`contextInitializer`
Optional Context initialized.
Method parameters in net.shibboleth.shared.cli with type arguments of type FilesystemGenericApplicationContext
Modifier and Type
Method
Description
`protected void`
AbstractCommandLine.`setContextInitializer(ApplicationContextInitializer<? super FilesystemGenericApplicationContext> initializer)`
Set a context initializer.

## Uses of FilesystemGenericApplicationContext in net.shibboleth.shared.spring.util

Fields in net.shibboleth.shared.spring.util with type parameters of type FilesystemGenericApplicationContext
Modifier and Type
Field
Description
`private List<ApplicationContextInitializer<? super FilesystemGenericApplicationContext>>`
ApplicationContextBuilder.`contextInitializers`
List of context initializers.
Method parameters in net.shibboleth.shared.spring.util with type arguments of type FilesystemGenericApplicationContext
Modifier and Type
Method
Description
`ApplicationContextBuilder`
ApplicationContextBuilder.`setContextInitializer(ApplicationContextInitializer<? super FilesystemGenericApplicationContext> initializer)`
Set a single context initializer for this context.
`ApplicationContextBuilder`
ApplicationContextBuilder.`setContextInitializers(List<ApplicationContextInitializer<? super FilesystemGenericApplicationContext>> initializers)`
Set the list of context initializers for this context.